Bug 97033 - [BDW,SKL] piglit.spec.arb_gpu_shader_fp64.varying-packing.simple regressions
Summary: [BDW,SKL] piglit.spec.arb_gpu_shader_fp64.varying-packing.simple regressions
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Timothy Arceri
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-21 22:35 UTC by Mark Janes
Modified: 2016-07-22 00:25 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2016-07-21 22:35:20 UTC
The following tests regressed when GL4.4 was enabled:

piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dmat2x3 array
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dmat2x3 arrays_of_arrays
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dmat2x3 separate
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dmat3 array
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dmat3 arrays_of_arrays
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dmat3 separate
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dmat3x2 array
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dmat3x2 arrays_of_arrays
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dmat3x2 separate
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dmat3x4 array
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dmat3x4 arrays_of_arrays
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dmat3x4 separate
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dmat4x3 array
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dmat4x3 arrays_of_arrays
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dmat4x3 separate
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple double separate
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dvec3 array
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dvec3 arrays_of_arrays
piglit.spec.arb_gpu_shader_fp64.varying-packing.simple dvec3 separate

Sample output:
/tmp/build_root/m64/lib/piglit/bin/varying-packing-simple dmat2x3 separate -auto -fbo
piglit: debug: Requested an OpenGL 3.2 Core Context, and received a matching 4.4 context

Probe color at (0,0)
  Expected: 0 255 0 255
  Observed: 0 0 0 0

Standard Error

Failed to link: error: insufficient contiguous locations available for var012 it is possible an array or struct could not be packed between varyings with explicit locations. Try using an explicit location for arrays and structs.error: insufficient contiguous locations available for var013 it is possible an array or struct could not be packed between varyings with explicit locations. Try using an explicit location for arrays and structs.error: fragment shader uses too many input components (136 > 128)

Mesa: User error: GL_INVALID_VALUE in glGetUniformLocation
Mesa: User error: GL_INVALID_OPERATION in glUniform(program not linked)
Comment 1 Timothy Arceri 2016-07-22 00:25:49 UTC
Should be fixed by:

author	Timothy Arceri <timothy.arceri@collabora.com>
commit	91dde3ddcaf6ca5a7aa2d2e9815236ce2ddf698f

glsl: re-enable varying packing in GL4.4+

We can still do packing we just need to get the packing type from the consumer
rather than the producer.

Reviewed-by: Iago Toral Quiroga <itoral@igalia.com>
Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=97033


bug/show.html.tmpl processed on Jan 22, 2017 at 22:19:42.
(provided by the Example extension).